Osi 0.107.9

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinOneMessage Class Reference

Class for one massaged message. More...

`#include <CoinMessageHandler.hpp>`

## Public Member Functions
Constructors etc
| CoinOneMessage ()
| Default constructor. More...
| CoinOneMessage (int externalNumber, char detail, const char *message)
| Normal constructor. More...
| ~CoinOneMessage ()
| Destructor. More...
| CoinOneMessage (const CoinOneMessage &)
| The copy constructor. More...
CoinOneMessage & | operator= (const CoinOneMessage &)
| assignment operator. More...
Useful stuff
void | replaceMessage (const char *message)
| Replace message text (e.g., text in a different language) More...
Get and set methods
int | externalNumber () const
| Get message ID number. More...
void | setExternalNumber (int number)
| Set message ID number. More...
char | severity () const
| Severity. More...
void | setDetail (int level)
| Set detail level. More...
int | detail () const
| Get detail level. More...
char * | message () const
| Return the message text. More...

## Public Attributes
member data
int | externalNumber_
| number to print out (also determines severity) More...
char | detail_
| Will only print if detail matches. More...
char | severity_
| Severity. More...
char | message_ [400]
| Messages (in correct language) (not all 400 may exist) More...

## Detailed Description

Class for one massaged message.

A message consists of a text string with formatting codes (message_), an integer identifier (externalNumber_) which also determines the severity level (severity_) of the message, and a detail (logging) level (detail_).

CoinOneMessage is just a container to hold this information. The interpretation is set by CoinMessageHandler, which see.

Definition at line 58 of file CoinMessageHandler.hpp.

## Constructor & Destructor Documentation

CoinOneMessage::CoinOneMessage | ( |  | ) |

Default constructor.

CoinOneMessage::CoinOneMessage | ( | int | externalNumber,
|  | char | detail,
|  | const char * | message
| ) |  |

Normal constructor.

CoinOneMessage::~CoinOneMessage | ( |  | ) |

Destructor.

CoinOneMessage::CoinOneMessage | ( | const CoinOneMessage & |  | ) |

The copy constructor.

## Member Function Documentation

CoinOneMessage& CoinOneMessage::operator= | ( | const CoinOneMessage & |  | ) |

assignment operator.

void CoinOneMessage::replaceMessage | ( | const char * | message | ) |

Replace message text (e.g., text in a different language)

int CoinOneMessage::externalNumber | ( |  | ) | const
| inline

Get message ID number.

Definition at line 85 of file CoinMessageHandler.hpp.

void CoinOneMessage::setExternalNumber | ( | int | number | ) |
| inline

Set message ID number.

In the default CoinMessageHandler, this number is printed in the message prefix and is used to determine the message severity level.

Definition at line 92 of file CoinMessageHandler.hpp.

char CoinOneMessage::severity | ( |  | ) | const
| inline

Severity.

Definition at line 95 of file CoinMessageHandler.hpp.

void CoinOneMessage::setDetail | ( | int | level | ) |
| inline

Set detail level.

Definition at line 98 of file CoinMessageHandler.hpp.

int CoinOneMessage::detail | ( |  | ) | const
| inline

Get detail level.

Definition at line 101 of file CoinMessageHandler.hpp.

char* CoinOneMessage::message | ( |  | ) | const
| inline

Return the message text.

Definition at line 104 of file CoinMessageHandler.hpp.

## Member Data Documentation

int CoinOneMessage::externalNumber_

number to print out (also determines severity)

Definition at line 111 of file CoinMessageHandler.hpp.

char CoinOneMessage::detail_

Will only print if detail matches.

Definition at line 113 of file CoinMessageHandler.hpp.

char CoinOneMessage::severity_

Severity.

Definition at line 115 of file CoinMessageHandler.hpp.

char CoinOneMessage::message_[400]
| mutable

Messages (in correct language) (not all 400 may exist)

Definition at line 117 of file CoinMessageHandler.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.9/CoinUtils/src/CoinMessageHandler.hpp